%define module cups
# we don't want to provide private python extension libs
%define _exclude_files_from_autoprov %{python_sitearch}/.*\\.so\\|%{python3_sitearch}/.*\\.so

Summary:       Python bindings for the CUPS API
Name:          python-%{module}
Version:       1.9.73
Release:       %mkrel 2
Source0:       http://cyberelk.net/tim/data/pycups/pycups-%{version}.tar.bz2
License:       BSD 
Group:         Development/Python
Url:           http://cyberelk.net/tim/software/pycups/
BuildRequires: pkgconfig(python)
BuildRequires: cups-devel
BuildRequires: epydoc
BuildRequires: pkgconfig(python3)
Conflicts:     python3-%{module} < %{version}-%{release}

%description
Python bindings for the CUPS API.

%package doc
Summary:       Documentation for python-cups
Group:         Documentation

%description doc
Documentation for python-cups.

%package -n python3-%{module}
Group:         Development/Python
Summary:       Python 3 bindings for the CUPS API
Conflicts:     %{name} < %{version}-%{release}

%description -n python3-%{module}
Python 3 bindings for the CUPS API.

%files
%{python2_sitearch}/cups.so
%{python2_sitearch}/pycups*.egg-info
%{_rpmconfigdir}/fileattrs/psdriver.attr
%{_rpmconfigdir}/postscriptdriver.prov

%files doc
%doc examples html

%files -n python3-%{module}
%{python3_sitearch}/cups.cpython-3*.so
%{python3_sitearch}/pycups*.egg-info
%{_rpmconfigdir}/fileattrs/psdriver.attr
%{_rpmconfigdir}/postscriptdriver.prov

#--------------------------------------------------------------------

%prep
%setup -q -n pycups-%version
cp -a . %{py3dir}

%build
make CFLAGS="%{optflags} -fno-strict-aliasing"
make doc

pushd %{py3dir}
%py3_build
popd

%install
make install DESTDIR="%{buildroot}"

pushd %{py3dir}
%py3_install
chmod 755 %{buildroot}%{python3_sitearch}/cups*.so
popd



%changelog
* Fri Feb 12 2016 umeabot <umeabot> 1.9.73-2.mga6
+ Revision: 958567
- Mageia 6 Mass Rebuild

* Sun Oct 11 2015 philippem <philippem> 1.9.73-1.mga6
+ Revision: 889690
- remove some docs files
- update to 1.9.73

* Wed Oct 07 2015 tv <tv> 1.9.68-4.mga6
+ Revision: 886705
- rebuild for python 3.5

* Mon Jan 05 2015 colin <colin> 1.9.68-3.mga5
+ Revision: 808644
- More conflicts to ensure smooth upgrade

* Tue Dec 30 2014 colin <colin> 1.9.68-2.mga5
+ Revision: 807290
- Smooth upgrade (due to shared files)

* Wed Nov 26 2014 philippem <philippem> 1.9.68-1.mga5
+ Revision: 799472
- update to 1.9.68

* Wed Oct 15 2014 umeabot <umeabot> 1.9.67-4.mga5
+ Revision: 750417
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 1.9.67-3.mga5
+ Revision: 726907
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 1.9.67-2.mga5
+ Revision: 687953
- Mageia 5 Mass Rebuild

* Mon Jun 23 2014 philippem <philippem> 1.9.67-1.mga5
+ Revision: 638926
- update to 1.9.67

* Sat May 31 2014 pterjan <pterjan> 1.9.66-2.mga5
+ Revision: 628537
- Rebuild for new Python

* Fri Dec 27 2013 philippem <philippem> 1.9.66-1.mga4
+ Revision: 560960
- Update to 1.9.66, add Python 3

* Tue Oct 22 2013 umeabot <umeabot> 1.9.63-3.mga4
+ Revision: 543184
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 1.9.63-2.mga4
+ Revision: 498333
- Rebuild to add different pythonegg provides for python 2 and 3

* Thu Jul 04 2013 philippem <philippem> 1.9.63-1.mga4
+ Revision: 450236
- Update to 1.9.63, add doc

* Sun Jan 13 2013 umeabot <umeabot> 1.9.62-2.mga3
+ Revision: 378623
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Nov 15 2012 fwang <fwang> 1.9.62-1.mga3
+ Revision: 318015
- update patch
- new version 1.9.62

* Fri May 11 2012 dmorgan <dmorgan> 1.9.61-2.mga2
+ Revision: 235306
- Bump release to push in release

* Thu May 10 2012 dmorgan <dmorgan> 1.9.61-1.mga2
+ Revision: 235083
- New version 1.9.61
  Add P1: Apply upstream patch to fix crash on loading invalid PPDs (rhbz #811159).

* Tue Oct 18 2011 dmorgan <dmorgan> 1.9.60-1.mga2
+ Revision: 156000
- New version 1.9.60

* Sat Jun 11 2011 dmorgan <dmorgan> 1.9.57-1.mga2
+ Revision: 103370
- New version 1.9.57

* Sat Apr 16 2011 ahmad <ahmad> 1.9.55-1.mga1
+ Revision: 86821
- Update to 1.9.55

* Fri Jan 21 2011 dmorgan <dmorgan> 1.9.53-2.mga1
+ Revision: 29630
- imported package python-cups


* Sat Oct 30 2010 Andrey Borzenkov <arvidjaar@mandriva.org> 1.9.49-2mdv2011.0
+ Revision: 590604
- fix build
- patch0: fix "format not a string literal"
- rebuild for new python 2.7

* Mon Mar 15 2010 Nicolas Lécureuil <nlecureuil@mandriva.com> 1.9.49-1mdv2010.1
+ Revision: 519132
- New version

* Tue Jan 19 2010 Frederik Himpe <fhimpe@mandriva.org> 1.9.48-1mdv2010.1
+ Revision: 493843
- update to new version 1.9.48

* Thu Jun 18 2009 Frederik Himpe <fhimpe@mandriva.org> 1.9.46-1mdv2010.0
+ Revision: 387137
- update to new version 1.9.46

* Thu Jan 08 2009 Frederik Himpe <fhimpe@mandriva.org> 1.9.45-1mdv2009.1
+ Revision: 327227
- Update to new version 1.9.45

* Fri Dec 26 2008 Funda Wang <fwang@mandriva.org> 1.9.42-2mdv2009.1
+ Revision: 319436
- rebuild for new python

* Thu Sep 04 2008 Tiago Salem <salem@mandriva.com.br> 1.9.42-1mdv2009.0
+ Revision: 280914
- version 1.9.42

* Tue Jul 15 2008 Funda Wang <fwang@mandriva.org> 1.9.41-1mdv2009.0
+ Revision: 235722
- update to new version 1.9.41

* Sat Jun 21 2008 Funda Wang <fwang@mandriva.org> 1.9.40-1mdv2009.0
+ Revision: 227651
- update to new version 1.9.40

* Fri Jun 13 2008 Tiago Salem <salem@mandriva.com.br> 1.9.39-1mdv2009.0
+ Revision: 218828
- version 1.9.39

* Sat May 10 2008 Nicolas Lécureuil <nlecureuil@mandriva.com> 1.9.38-2mdv2009.0
+ Revision: 205407
- Fix Spec file
- import python-cups


